package http

import "time"

type GetBasketRequest struct {
	BasketID string `json:"basket_id"`
}

type GetBasketResponse struct {
	ID        string        `json:"id"`
	State     string        `json:"state"`
	CreatedAt time.Duration `json:"created_at"`
	UpdatedAt time.Duration `json:"updated_at"`

	Error string `json:"error"`
}

type GetBasketItemsRequest struct {
}

type GetBasketItemsResponse struct {
	ID        string        `json:"id"`
	BasketID  string        `json:"basket_id"`
	ProductID int           `json:"product_id"`
	Quantity  int           `json:"quantity"`
	Price     float64       `json:"price"`
	CreatedAt time.Duration `json:"created_at"`
	UpdatedAt time.Duration `json:"updated_at"`
}

type BasketCheckoutRequest struct {
	BasketID string `json:"basket_id"`
}

type BasketCheckoutResponse struct {
	ID string `json:"order_id"`
}
